
This scala code covers two versions of Graph Vertex coloring whihc can be used in saprk GraphX/ GraphFrames.
The code and examples are self explanantory.

/* I'm just releasing part of the code which could be useful for community from a private project and sorry for not adding sbt build files */